## org.apache.xerces.util
Class SecurityManager

    java.lang.Object
      org.apache.xerces.util.SecurityManager

public final class SecurityManager
extends java.lang.Object

This class is a container for parser settings that relate to security, or more specifically, it is intended to be used to prevent denial-of-service attacks from being launched against a system running Xerces. Any component that is aware of a denial-of-service attack that can arise from its processing of a certain kind of document may query its Component Manager for the property (http://apache.org/xml/properties/security-manager) whose value will be an instance of this class. If no value has been set for the property, the component should proceed in the "usual" (spec-compliant) manner. If a value has been set, then it must be the case that the component in question needs to know what method of this class to query. This class will provide defaults for all known security issues, but will also provide setters so that those values can be tailored by applications that care.

Version:
  $Id: SecurityManager.java,v 1.3 2003/01/17 19:55:39 neilg Exp $
Author:
  Neil Graham, IBM

Constructor Summary
`SecurityManager()`

Method Summary
`int` `getEntityExpansionLimit()`
`int` `getMaxOccurNodeLimit()`
`void` `setEntityExpansionLimit(int limit)`
`void` `setMaxOccurNodeLimit(int limit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityManager

    public SecurityManager()

Method Detail

### setEntityExpansionLimit

    public void setEntityExpansionLimit(int limit)

### getEntityExpansionLimit

    public int getEntityExpansionLimit()

### setMaxOccurNodeLimit

    public void setMaxOccurNodeLimit(int limit)

### getMaxOccurNodeLimit

    public int getMaxOccurNodeLimit()

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.